Message: Installation problems in geant4.9.5.p01 with SLC 6.3 Not Logged In (login)
 Next-in-Thread Next-in-Thread
 Next-in-Forum Next-in-Forum

Question Installation problems in geant4.9.5.p01 with SLC 6.3 

Forum: Installation and Configuration
Date: 24 Oct, 2012
From: Antonietta Donzella <Antonietta Donzella>

Dear all, I have a problem to install geant4.9.5.p01. I use SLC6.3-x86_6 and gcc 3.4.6. On my /usr/local/geant4.9.5.p01-build path I have given the command

   cmake -DCMAKE_INSTALL_PREFIX=/usr/local/geant4.9.5-install 
                             -DGEANT4_USE_G3TOG4=ON 
			     -DGEANT4_USE_OPENGL_X11=ON 
			     -DGEANT4_USE_SYSTEM_CLHEP=ON 
			     -DGEANT4_INSTALL_DATA=ON 
			     -DGEANT4_INSTALL_EXAMPLES=ON 
			     -DGEANT4_BUILD_GRANULAR_LIBRARIES=ON 
			     -DGEANT4_BUILD_EXAMPLES=ON 
			     /usr/local/geant4.9.5

and all is OK.

But after the command 'make' I find the next errors:

...

[ 40%] Building CXX object source/processes/CMakeFiles/G4processes.dir/hadronic/models/binary_cascade/src/G4AntiProtonField.cc.o [ 40%] Building CXX object source/processes/CMakeFiles/G4processes.dir/hadronic/models/binary_cascade/src/G4BinaryCascade.cc.o /usr/local/geant4.9.5.p01/source/processes/hadronic/models/binary_cascade/src/G4BinaryCascade.cc: In member function 'G4Fragment* G4BinaryCascade::FindFragments()': /usr/local/geant4.9.5.p01/source/processes/hadronic/models/binary_cascade/src/G4BinaryCascade.cc:2345: error: conversion from 'int' to non-scalar type 'G4LorentzVector' requested make[2]: *** [source/processes/CMakeFiles/G4processes.dir/hadronic/models/binary_cascade/src/G4BinaryCascade.cc.o] Error 1 make[1]: *** [source/processes/CMakeFiles/G4processes.dir/all] Error 2 make: *** [all] Error 2

Do you have any ideas? Thanks, Antonietta

Inline Depth:
 1 1
 All All
Outline Depth:
 1 1
 2 2
 All All
Add message: (add)

1 More: Re: Installation problems in geant4.9.5.p01 with SLC 6.3   (Gabriele Cosmo - 24 Oct, 2012)
(_ Ok: Re: Installation problems in geant4.9.5.p01 with SLC 6.3   (Antonietta Donzella - 24 Oct, 2012)
 Add Message Add Message
to: "Installation problems in geant4.9.5.p01 with SLC 6.3"

 Subscribe Subscribe

This site runs SLAC HyperNews version 1.11-slac-98, derived from the original HyperNews


[ Geant 4 Home | Geant 4 HyperNews | Search | Request New Forum | Feedback ]